Skip to content

Lead Update

| View as Markdown

This API is used to update the lead details.

https://kraken.airpay.co.in/airpay/ms/leads/api/createlead
ParameterType ValueDescriptionValue Like
content-type requiredStringapplication/jsoncontent-type:application/json
affiliate requiredTextWill be provided by airpays5018c4e6770be10ceb89171fd8a1b00
checksum requiredTextstring = param + header_code + secret_key;
sha256(<concate all values+SECRET KEY>);
s5018c4e6770be10ceb89171fd8a1b00
processor-key requiredTextWill be provided by airpays5018c4e6770be10ceb89171fd8a1b00
ParameterType ValueDescriptionValue Like
fname requiredtextFirst Name (length 1-20).John
lname requiredtextLast Name (length 1-20).Doe
email requiredtextEmail Address (length 1-25).johndoe1@example.com
phone requirednumericMobile Number (length 1-10).1234567890
company_name requiredtextCompany Name (length 1-10).ABC Company
company_address optionaltextCompany Address (length 1-30).123 Main St, City
merchant_legal_name requiredtextLegal Name of Merchant (length 1-20).ABC Legal Name
company_website requiredtextCompany Website (length 1-30).http://www.exampleone.com
company_cin optionaltextCompany Identification Number (length 1-21).U00000AB0000CDE123456
company_annual_turnover requiredtextAnnual Turnover of the Company (length 1-10). Valid options: 0 - 1L1L - 5L5L - 25L25L - 50L50L - 1CrAbove 1CrAbove 1Cr
business_type requirednumericBusiness Type (length 1-10). Valid options: 1: Private Ltd Company2: Partnership3: Proprietorship4: Clubs / Societies / Associations5: Trusts6: Others7: Public Ltd Company8: Limited Liability Partnership1
business_category requirednumericBusiness category ID (length 1-10).118
business_pan requiredtextBusiness PAN number (length 1-10).ABCDE1234F
business_gstin optionaltextBusiness GST number (length 1-15).12ABCDE1234F1Z5
business_address optionaltextBusiness address (length 1-30).Test Apartment
business_city requiredtextCity (length 1-20).Kochi
business_pincode optionaltextPincode (length 1-6).123456
business_state requiredtextState (length 1-20).Kerala
business_country requiredtextCountry (length 1-20).India
bank_account_type requiredtextBank account type (length 1-10). Valid values: “C” for Current”S” for SavingsC
bank_account_holder_name requiredtextBank account holder name (length 1-20).John Doe
bank_account_number requiredtextBank account number (length 1-20).1234567890
bank_ifsc_code requiredtextBank IFSC code (length 1-11).ABCD1234567
signatory_name requiredtextFull name of the signatory (length 1-20).Signatory one
signatory_email requiredtextEmail address of the signatory (length 1-20).signatoryone@example.com
signatory_phone requirednumericMobile number of the signatory (length 1-10).1234567890
signatory_address optionaltextAddress of the signatory (length 1-25).123 Main St, City
signatory_pep requiredtextIndicates if the signatory is politically exposed (length 1-10).N
signatory_dob requireddateDate of birth of the signatory in d-m-Y format (length 1-10).01-01-1990
signatory_pan requiredtextPAN number of the signatory (length 1-10).ABCDE1234G
signatory_primary_contact requiredtextPrimary contact of the signatory (length 1-10).Y
signatory_address_proof requiredtextAddress proof ID of the signatory (length 1-10).121
signatory_pdconsent requiredtextConsent for personal data storage by the signatory (length 1-10).N
signatory_gender optionaltextGender of the signatory (length 1-10).F
ParameterType ValueDescriptionValue Like
status requiredNumeric400- fail,200-success(length 1-3)200
message requiredTextsuccess, failSuccess
data requiredTextJson response { “status”: status code, “message”: response message, “data”:[ {“parameter”:“array required data”}] }[]
curl --location 'https://kraken.airpay.co.in/airpay/ms/leads/api/createlead' \
--header 'Content-Type: application/json' \
--header 'AFFILIATE: s5018c4e6770be10ceb89171fd8a1b00' \
--header 'CHECKSUM: eda5100cf07619128fc1d384fbb79dbc4fc1b262fd50d4371019c9e6d28294b6' \
--header 'AIRPAYKEY: xvIvkudaKczCf8sapHZv5iadqzPEB9dPRvtLr4idn4SzmMjfuWgVvSsXEn==' \
--data '{
"query": "jdnk195gdbpj7u2on87NRgYJbXc+JAS0a9As7D2txQ8VaF08lVO+tPCD4y40sfrBus/yuiqi/LBGeMP6PrKGvY2Anli1wufGUl5m88AwH0kWmaTRE3WHmbDsVloDd9OxCLuvNwxPQHF+TzrA3CbCvEB6TJezdW7MwvteNnUBmKKZIGHkrKSpmaFEJJb7iXh1FIGUjlLz3PWxOPq7K8K7NJ4RA5bQiRCg35/YQWqSsVv9q3bUBVjjSl8ukGWOW9Gx0QQ+1WvaOLrf/I3NbnXKTT9dFIJD24JOc="
}'
{
"status": "200",
"message": "Success",
"data": {
"message": "Lead updated successfully.",
"lead_id": 12345
}
}
{
"status": "400",
"message": "Failed",
"data": {
"error": {
"lead_id": "12345",
"message": ""
}
}
}